Main Page Widgets Namespaces Book

# Gtk::SeparatorMenuItem Class Reference
[Widgets, Menu classes]

A separator used to group items within a menu. More...

Inheritance diagram for Gtk::SeparatorMenuItem:

[legend]
List of all members.

## Public Member Functions

virtual | ~SeparatorMenuItem ()
GtkSeparatorMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSeparatorMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
| SeparatorMenuItem ()

## Related Functions

(Note that these are not member functions.)
Gtk::SeparatorMenuItem* | wrap (GtkSeparatorMenuItem* object, bool take_copy=false)

## Detailed Description

A separator used to group items within a menu.

It displays a horizontal line with a shadow to make it appear sunken into the interface.

## Constructor & Destructor Documentation

virtual Gtk::SeparatorMenuItem::~SeparatorMenuItem | ( |  | ) | `[virtual]`

Gtk::SeparatorMenuItem::SeparatorMenuItem | ( |  | ) |

## Member Function Documentation

const GtkSeparatorMenuItem* Gtk::SeparatorMenuItem::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::MenuItem.

GtkSeparatorMenuItem* Gtk::SeparatorMenuItem::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::MenuItem.

## Friends And Related Function Documentation

Gtk::SeparatorMenuItem* wrap | ( | GtkSeparatorMenuItem* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- separatormenuitem.h